Skip to content

Comparing changes

Choose two branches to see what’s changed or to start a new pull request. If you need to, you can also .

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also .
...
  • 2 commits
  • 2 files changed
  • 0 commit comments
  • 1 contributor
Commits on Apr 30, 2012
Vanson Samuel createme update d906377
@binq more updates 5734e29
Showing with 45 additions and 10 deletions.
  1. +9 −6 bin/createme
  2. +36 −4 bin/setup-unbuntu
View
15 bin/createme
@@ -1,7 +1,10 @@
#!/usr/bin/env bash
-user=vansonsamuel
-useradd ${user}
-cp -R $HOME/.ssh ~${user}/
-chown -R ${user}:${user} ~${user}
-chmod -R u=rwX,g=X,o=X ~${user}
-chmod -R u=rwX,g=,o= ~${user} ~${user}/.ssh
+# bash -s < <(curl -s https://raw.github.com/binq/home-directory/master/bin/createme)
+
+me=vansonsamuel
+useradd ${me}
+dest=`getent passwd $me | awk -F':' 'NR==1{print $6}'`
+cp -R $HOME/.ssh $dest
+chown -R ${me}:${me} $dest
+chmod -R u=rwX,g=X,o=X $dest
+chmod -R u=rwX,g=,o= $dest $dest/.ssh
View
40 bin/setup-unbuntu
@@ -1,7 +1,39 @@
#!/usr/bin/env bash
-# bash -s stable < <(curl -s https://raw.github.com/binq/home-directory/master/bin/setup-unbuntu)
+# bash -s < <(curl -s https://raw.github.com/binq/home-directory/master/bin/setup-unbuntu)
-sudo apt-get update --quiet --assume-yes
+cat > ~/.gemrc <<EOM
+gem: --no-ri --no-rdoc
+EOM
+cat >> ~/.bashrc <<EOM
+alias l="ls -Alh"
+alias p="ps -HAlf"
+alias g="git"
+EOM
+sudo add-apt-repository ppa:chris-lea/node.js <<EOM
+
+EOM
+sudo apt-get update
+sudo apt-get install xvfb --quiet --assume-yes
+sudo apt-get install icedtea-netx --quiet --assume-yes # for javaws
+sudo apt-get install x11-apps --quiet --assume-yes # for xwd
+sudo apt-get install netpbm --quiet --assume-yes # for xwdtopnm & pnmtopng
+sudo apt-get install xautomation --quiet --assume-yes # for visgrep
sudo apt-get install git --quiet --assume-yes
-sudo apt-get install ruby-rvm --quiet --assume-yes
-rvm install 1.9.2
+sudo apt-get install emacs23 --quiet --assume-yes
+sudo apt-get install python-software-properties --quiet --assume-yes # dependancy for nodejs
+sudo apt-get install nodejs --quiet --assume-yes
+sudo apt-get install libopenssl-ruby --quiet --assume-yes # trying to make rails work
+sudo apt-get install libssl-dev --quiet --assume-yes # trying to make rails work
+#sudo apt-get install ruby-rvm --quiet --assume-yes
+sudo /usr/bin/apt-get install \
+ build-essential openssl libreadline6 libreadline6-dev curl \
+ git-core zlib1g zlib1g-dev libssl-dev libyaml-dev \
+ libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf \
+ libc6-dev ncurses-dev automake libtool bison \
+ subversion \
+ --quiet --assume-yes
+rvm install 1.9.3
+
+git clone git@github.com:binq/trade.git
+cd trade
+gem install rails

No commit comments for this range

Something went wrong with that request. Please try again.